alias team {
  if ($2 == on) {
    ;--Settings--
    ;Round time:
    %tround = 1800
    ;Choose time
    %tchose = 60
    ;Delay score display (0 = off)
    %tscore = 300
    ;Shows kills (0 = off, 1 = on)
    %tshowk = 0
    ;----End----
    if ($exists(red.txt)) mta.say $1 Team-play already activated on server %team $+ !
    else {
      %team = $1
      %tticks = $ticks
      write blue.txt 0
      write red.txt 0
      mta.say $1 Team-play mode activated.
      mta.say $1 Choose your team: !red or !blue $chr(91) $+ %tchose sec]
      .timerPK 1 %tchose team $1 kick
      .timerTP 1 %tround team $1 won
      if (%tscore) .timerTS 0 %tscore team $1 score
    }
  }
  elseif ($2 == off) {
    %team = 0
    mta.say $1 Team-play mode deactivated.
    .remove blue.txt
    .remove red.txt
    .timerTP off
    .timerPK off
    .timerTK* off
    .timerTS off
  }
  elseif ($2 == won) {
    if ($read(red.txt,t,1) <  $read(blue.txt,t,1)) mta.say $1 Blue wins the match with:
    if ($read(red.txt,t,1) >  $read(blue.txt,t,1)) mta.say $1 Red wins the match with:
    if ($read(red.txt,t,1) =  $read(blue.txt,t,1)) mta.say $1 Nobody wins the match: equal score!
    mta.say $1 Red: $read(red.txt,t,1) - Blue: $read(blue.txt,t,1)
    mta.say $1 Choose your team: !red or !blue $chr(91) $+ %tchose sec]
    .remove blue.txt
    .remove red.txt
    %tticks = $ticks
    write blue.txt 0
    write red.txt 0
    .timerPK 1 %tchose team $1 kick
    .timerTP 1 %tround team $1 won
  }
  elseif ($2 == kick) {
    var %a = 0
    while (%a <= 25) {
      if (($ini($+($scriptdir,$1,.ini),ID $+ %a)) && (!$read(blue.txt,w,$mta.name($1,%a))) && (!$read(blue.txt,w,$mta.name($1,%a)))) mta.kick $1 %a
      inc %a
    }
  }
  elseif ($2 == score) {
    mta.say $1 Time left: $asctime($calc(%tround - (($ticks - %tticks) / 1000)),nn:ss) $chr(124) Score: Red $read(red.txt,t,1) / Blue $read(blue.txt,t,1) $chr(124) Members: Red $calc($lines(red.txt)-1) / Blue $calc($lines(blue.txt)-1)
  }
  elseif ($2 == info) {
    return $chr(91) $+ $asctime($calc(%tround - (($ticks - %tticks) / 1000)),nn:ss) Red $read(red.txt,t,1) / Blue $read(blue.txt,t,1) $+ $chr(93)
  }
}
alias mta.admin {
  if ($2 == !team) team $1 $3
}
alias mta.disconnect {
  if (%team == $1) team $1 off
}
alias mta.join {
  if (%team == $1) {
    if ($read(blue.txt,w,$mta.name($1,$2))) mta.say $1 $mta.name($1,$2) joined the blue team!
    elseif ($read(red.txt,w,$mta.name($1,$2))) mta.say $1 $mta.name($1,$2) joined the red team!
    else {
      mta.say $1 Hello $mta.name($1,$2) $+ , please select your team: !red or !blue $chr(91) $+ %tchose sec]
      .timerTK $+ $2 1 %tchose mta.kick $1 $2
    }
  }
}
alias mta.text {
  if (%team == $1) {
    if (!score == $3) team $1 score
    elseif (!team* iswm $3) {
      var %a = 1,%b = $null
      while (%a <= $lines(red.txt)) {
        %b = $+(%b,$read(red.txt,%a),$chr(44))
        inc %a
      }
      mta.say $1 Red: $left(%b,-2)
      var %a = 1,%b = $null
      while (%a <= $lines(blue.txt)) {
        %b = $+(%b,$read(blue.txt,%a),$chr(44))
        inc %a
      }
      mta.say $1 Blue: $left(%b,-2)
    }
    elseif ((!$read(blue.txt,w,$mta.name($1,$2))) && (!$read(red.txt,w,$mta.name($1,$2)))) {
      if (!blue == $3) {
        if ($calc($lines(blue.txt) - $lines(red.txt)) >= 2) mta.say $1 Blue team has too many players, please choose !red
        else {
          mta.say $1 $mta.name($1,$2) joined the blue team!
          write blue.txt $mta.name($1,$2)
          .timerTK $+ $2 off
        }
      }
      if (!red == $3) {
        if ($calc($lines(red.txt) - $lines(blue.txt)) >= 2) mta.say $1 Red team has too many players, please choose !blue
        else {
          mta.say $1 $mta.name($1,$2) joined the red team!
          write red.txt $mta.name($1,$2)
          .timerTK $+ $2 off
        }
      }
    }
    elseif ((!red == $3) || (!blue == $3)) mta.say $1 $mta.name($1,$2) you have already chosen. Wait for the next round.
  }
}
alias mta.kill {
  if (%team == $1) {
    if ($3 <= 253) {
      if (($2 == $3) && ($read(blue.txt,w,$mta.name($1,$3)))) {
        write -l1 blue.txt $calc($read(blue.txt,t,1)-1)
        if (%tshowk) mta.say $1 $mta.name($1,$3) killed himself! $team($1,info)
      }
      elseif (($2 == $3) && ($read(red.txt,w,$mta.name($1,$3)))) {
        write -l1 red.txt $calc($read(red.txt,t,1)-1)
        if (%tshowk) mta.say $1 $mta.name($1,$3) killed himself! $team($1,info)
      }
      elseif (($read(blue.txt,w,$mta.name($1,$3))) && ($read(red.txt,w,$mta.name($1,$2)))) {
        write -l1 blue.txt $calc($read(blue.txt,t,1)+1)
        if (%tshowk) mta.say $1 $mta.name($1,$3) killed a Red team member! $team($1,info)
      }
      elseif (($read(red.txt,w,$mta.name($1,$3))) && ($read(blue.txt,w,$mta.name($1,$2)))) {
        write -l1 red.txt $calc($read(red.txt,t,1)-1)
        if (%tshowk) mta.say $1 $mta.name($1,$3) killed a Blue team member! $team($1,info)
      }
      elseif (($read(red.txt,w,$mta.name($1,$3))) && ($read(red.txt,w,$mta.name($1,$2)))) {
        write -l1 red.txt $calc($read(red.txt,t,1)-1)
        if (%tshowk) mta.say $1 $mta.name($1,$3) killed a member of his own team! $team($1,info)
      }
      elseif (($read(blue.txt,w,$mta.name($1,$3))) && ($read(blue.txt,w,$mta.name($1,$2)))) {
        write -l1 blue.txt $calc($read(blue.txt,t,1)-1)
        if (%tshowk) mta.say $1 $mta.name($1,$3) killed a member of his own team! $team($1,info)
      }
    }
  }
}
alias mta.part {
  if (%team == $1) {
    .timerTK $+ $2 off
    if ($3- != timed out) {
      .write -ds [ $+ [ $mta.name($1,$2) ] ] red.txt
      .write -ds [ $+ [ $mta.name($1,$2) ] ] blue.txt
    }
  }
}
